Issue 108787

Summary: Context menu entry should say 'typeface' where it currently says 'font'
Product: General Reporter: lars.nooden
Component: uiAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: eric.savary, issues, michael.ruess
Version: OOo 3.2 RC4   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Typefaces in menu none

Description lars.nooden 2010-01-30 13:27:33 UTC
In Writer, for OOo 3.1.0 build 9399, on OpenBSD 4.6, one can 'right-click' with
the mouse on a paragraph and see an editing menu.  At second from the top of the
menu is the label 'Font' which brings up a list of typefaces.  For both clarity
and to avoid confusion, this submenu of typefaces would be much better off with
the label 'typefaces' rather than 'fonts'
Comment 1 michael.ruess 2010-02-01 09:45:20 UTC
This problem is not available in the official build of OOo. Please refer to the
distributor of the OpenBSD build of OOo.
Comment 2 michael.ruess 2010-02-01 09:45:48 UTC
Closed.
Comment 3 lars.nooden 2010-02-01 19:16:37 UTC
mru, the OS was *not* FreeBSD, but OpenBSD.  The error, if you have OOo on your
system can be verified.   IF you need a different OS, then I can point out that
the problem still exists on Mac OS X 10.5 with OpenOffice.org 3.1.1 OOO310m19
(Build:9420)

Again, the steps take 2 seconds to verify:

1.  open writer
2.  right click on a paragraph

There will be second from the top, the label 'font' which should read 'typeface'
instead
Comment 4 michael.ruess 2010-02-02 13:22:50 UTC
Yes, it is right, that the entry is "Font" - but why do you think that this is
incorrect???
When you put mouse on "Font" entry of the context menu, all available Fonts will
be listed, not the typefaces... and that is correct.
Comment 5 michael.ruess 2010-02-02 13:23:28 UTC
Closed, the entry is and works correctly.
Comment 6 lars.nooden 2010-02-02 13:30:20 UTC
mru: please leave this issue alone, since it is not a FreeBSD issue.

The label 'font' very clearly goes to a list of typefaces on the several
versions of OOO on several operating systems, at least for the English-US
versions.  
Comment 7 michael.ruess 2010-02-02 14:26:45 UTC
I do not know where you got you OOo build from, but I have checked now with
different Systems (Mac OSX, WinXP, Linux, Solaris) with en-US builds of OOo
3.1.1 and 3.2rc4 and all show the second entry of the context menu "Font"
heading to a list of available fonts, not any type face.
Please attach a screenshot showing your problem.
Are you sure, that you are using OOo downloaded from this site (or its mirrors)?
Comment 8 lars.nooden 2010-02-02 15:04:31 UTC
Created attachment 67533 [details]
Typefaces in menu
Comment 9 lars.nooden 2010-02-02 15:06:47 UTC
OOo was downloaded from this page:
http://download.openoffice.org/all_rc.html#untested-full

See attached for screen shot showing list of typefaces under the label 'Font'.
Comment 10 michael.ruess 2010-02-02 15:37:12 UTC
Ehm, yes... os where is the problem? On your screen shot I can see exactly what
I described. The "Font" entry heading to the fonts. The typefaces (and others)
can be found under "Style" entry... Loke to be seen in Format.Character.Font
dialog tab.
Comment 11 lars.nooden 2010-02-02 16:00:33 UTC
Yes, the context of style could be made more clear, too, but that's for a
different bug.  

Take a look at the menu.  You get it by using the right button (if you have not
made a left-handed mouse) while hovering over a paragraph in Writer.  

The menu you get has what's shown in the screen shot, a list of types
mislabelled as 'Font' : 

+ default formatting
 - - - - -
+ font [which shows typefaces]
+ size
+ style
+ alignment
+ line spacing
 - - - - -
character...
paragraph...
page...
Numbering/Bullets...
Case/Characters...
 - - - - -
Edit paragraph style


Please change the English label to 'Typeface' from 'Font' in that second item on
the list.  
Comment 12 michael.ruess 2010-02-02 16:33:59 UTC
I know which menu you are talking about... but I do not see any reason to change
the string "Font" to "Typeface". You may be somehow right when talking about
tape and printing profession. But in word processors users are more used to the
vocable "Font" when selecting a special font.
Thus both most used word processors in the world use the word "Font" here. And
it won't be changed at all.
Remember: it is word processing, not DTP.
Comment 13 michael.ruess 2010-02-02 16:35:34 UTC
Closed, the word is correct in Word processors thus it won't be changed at all.
Comment 14 lars.nooden 2010-02-02 16:39:52 UTC
@mru : please get out of the way.  The excuse "Microsoft does it this way"
doesn't cut it.

Either 'type' or 'typeface' is fine.  
Comment 15 michael.ruess 2010-02-03 08:09:48 UTC
You did never name even ONE reasong or argument WHY to change this here.
As I said, we are building a Word Processor, not a DTP. "Font" is more logic to
the majority of users than "typeface".

I did not want to excuse it with Microsoft. But: by time, "Font" became an
industry standard not only defined by MS but also by early StarWriter, AmiPro,
wordPerfect, Symphony and so on...

Also, "get out of the way" is not a way of comminicating friendly with people
giving you software for free.

We have defined this wording here for our product and it won't be changed at
all. And of course this is not DEFECT.
Comment 16 michael.ruess 2010-02-03 08:10:30 UTC
Closing duplicate.
Comment 17 lars.nooden 2010-02-03 08:30:00 UTC
@mru : blocking for the sake of blocking is 'not very friendly' for those
debugging the software as was the initial offhand dismissal of the defect.  

Copying others mistakes is not necessary.  The term 'font' as it is used in the
menu is incorrect confusing.  I know of no obligation to copy or perpetuate
incorrect menus.  


Comment 18 lars.nooden 2010-02-03 08:56:48 UTC
mru, I'm glad you brought up AmiPro and WordPerfect and that the misuse of the
term 'font' now comes from more correct use back then.  While I have used
WordPerfect and even helped teach it a *very* long time ago, I never actually
like the interface.  AmiPro was quite nice from what I remember.  Older WP's
like WordStar and Electric Pen didn't even mention 'font'

I mention 'font' there, because back then it really was *font*.  You could do
some modifications like bold, underline or strikethrough, but you were stuck
with the font on the daisywheel or selectric ball until it was physically
changed.  Some of the early laser printers had similar limitations, and actual
*fonts* had to be loaded sometimes through physical cartridges.  

However, it's been ages and ages since those problems and most users even if
they were around then have long since forgotten.  Typefaces have been available
as a separate choice for a very long time and regardless of long or short
history, it is a list of typefaces that the menu in OOo is presenting the user.  
Comment 19 michael.ruess 2010-02-03 11:05:33 UTC
I am tired of discussing this stuff here. Do it with others and try to find
others following you. Maybe then you could find a way collecting enough votes
for this. This won't be changed just because YOU say its incorrect without
giving useful arguments.

Note that this will not only affect the context menu but also Format.Character
dialog and Paragraph style dialog (both with "Font" tab). Also the word "Font"
is used in other OpenOffice applications - not only Writer.

Also note that you are not talking about the "Paragraph menu" - the menu that
you open with right-click (or Ctrl-click on Mac) is called "context menu". If
you start a discussion and bashing about correctwording in a Word processor then
do it really correctly...
Comment 20 michael.ruess 2010-02-03 11:06:39 UTC
Changing component to "Framework" as long as the word "Font" is used in all OOo
applications for the same meaning and context.
Comment 21 lars.nooden 2010-02-03 11:49:01 UTC
> "Paragraph menu" - the menu that you open with 
> right-click (or Ctrl-click on Mac) is called "context menu". 

Whatever it is called, it is not labeled and there are several ways to get to
it.  Hence the screen shot.  

However, the content of the menu is why this report has been filed, not other
parts of OOo.  
Comment 22 eric.savary 2010-08-09 13:53:42 UTC
Sorry but MRU was perfectly right saying that "Font" is a common accepted
description for what IS a typeface (aka "font family" in HTML).

Please read:
http://en.wikipedia.org/wiki/Font
And especially: "However, the term font is also often used as a metonym for
typeface."

So you are right to say those are typefaces, the problem is that this term is
not as well known as "Font".

In the battle between technical exactitude and user-friendliness we chose the
last one on this matter.
Comment 23 eric.savary 2010-08-09 13:53:54 UTC
closed
Comment 24 lars.nooden 2010-08-10 10:53:00 UTC
Reopening: 

Please do not *ever* try to pass off a Wikipedia article as an authoritative source.
Comment 25 lars.nooden 2010-08-10 10:54:11 UTC
The term "font" adversely affects user friendliness and it is incorrect.  

OpenOffice.org has not appeared in or out of a vacuum.  It is one current
manifestation of publishing tools in a long history of publishing nominally
started with the Gutenberg press.